hakyll-4.9.8.0: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Core.Provider.Metadata

Description

Internal module to parse metadata

Synopsis

- loadMetadata :: Provider -> Identifier -> IO (Metadata, Maybe String)
- parsePage :: String -> Either ParseException (Metadata, String)
- data MetadataException = MetadataException FilePath ParseException

# Documentation

loadMetadata :: Provider -> Identifier -> IO (Metadata, Maybe String) #

parsePage :: String -> Either ParseException (Metadata, String) #

data MetadataException #

Thrown in the IO monad if things go wrong. Provides a nice-ish error message.

Constructors

MetadataException FilePath ParseException |

Instances

Show MetadataException # |
Methods showsPrec :: Int -> MetadataException -> ShowS # show :: MetadataException -> String # showList :: [MetadataException] -> ShowS #
Exception MetadataException # |
Methods toException :: MetadataException -> SomeException # fromException :: SomeException -> Maybe MetadataException # displayException :: MetadataException -> String #